using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Data.SqlClient;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace BongahCS
{
    public partial class repDaramadha : Form
    {
        DataSet2 d1 = new DataSet2();
        
        public repDaramadha()
        {
            InitializeComponent();
        }

        private void repDaramadha_Load(object sender, EventArgs e)
        {
            // TODO: This line of code loads data into the 'DataSet2.DataTable1' table. You can move, or remove it, as needed.
            this.DataTable1TableAdapter.Fill(this.DataSet2.DataTable1);
            FirstClass db = new FirstClass();
            db.cmd.CommandText = @"SELECT     tblMoamelehType.MoamelehType, tblContracts.datOdMoaMeleh, tblContracts.MablagheGarardad, tblContracts.HagheBongah
                                FROM tblContracts INNER JOIN tblMoamelehType ON tblContracts.MoamelehTypeID = tblMoamelehType.MoamelehTypeID";

            SqlDataAdapter da = new SqlDataAdapter(db.cmd);
            da.Fill(d1, "DataTable1");
            DataTable1BindingSource.DataSource = d1;

            reportViewer1.SetDisplayMode(Microsoft.Reporting.WinForms.DisplayMode.PrintLayout);
            reportViewer1.ZoomMode = Microsoft.Reporting.WinForms.ZoomMode.Percent;
            reportViewer1.ZoomPercent = 25;
            this.reportViewer1.RefreshReport();
        }
    }
}